Subject: bug#73548: 31.0.50; track-changes--error-log

From: Gerd Möllmann <[email-masked]>
Date: Thu, 03 Oct 2024 20:46:12 +0200

Stefan Monnier <[email-masked]> writes:

>> the only "extra" I have running in C buffers is eglot, with
>> eglot-ensure in c-mode-common-hook. Don't know if Eglot changes the
>> buffer, maybe when it wants to add diagnostics?
>
> Hmm... I don't think Eglot would make changes to the buffer behind
> your back.
>
> Not sure what more we can do with this report if you can't reproduce it.
> But in case you do see it "every once in a while", then I pushed to
> `master` some extra debugging support in `track-changes.el`.
>
> So, try and `(setq track-changes-record-errors 'trace)` in your init
> file to activate this extra debugging info, so that next time you hit
> the problem we have a better chance of catching the sucker.

Thanks, I've added that to my init file. Let's see if it resurfaces.